com.pdfunit

## Class DocumentFormatMillis

- java.lang.Object
- - com.pdfunit.DocumentFormat
  - - com.pdfunit.DocumentFormatMillis

-     @DoNotObfuscate
      public class DocumentFormatMillis
      extends DocumentFormat

  Format of a PDF page in millimeter.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016
  See Also:
    `FormatUnit`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentFormatMillis(int widthInMillis, int heightInMillis)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeightInPoints()`
    `java.awt.geom.Rectangle2D` | `getRectangleUpperLeftBasedPoints()`
    `java.awt.geom.Rectangle2D` | `getRectangleUpperLeftBasedPointsWithTolerance()`
    `int` | `getWidthInPoints()`
    `java.lang.String` | `toString()` Showing the details of the format.

    - ### Methods inherited from class com.pdfunit.DocumentFormat

      `addTolerance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentFormatMillis

          @Guarded
          public DocumentFormatMillis(int widthInMillis,
                                      int heightInMillis)

  - ### Method Detail

    - #### getHeightInPoints

          public int getHeightInPoints()

    - #### getRectangleUpperLeftBasedPoints

          public java.awt.geom.Rectangle2D getRectangleUpperLeftBasedPoints()

      Specified by:
        `getRectangleUpperLeftBasedPoints` in class `DocumentFormat`

    - #### getRectangleUpperLeftBasedPointsWithTolerance

          public java.awt.geom.Rectangle2D getRectangleUpperLeftBasedPointsWithTolerance()

      Specified by:
        `getRectangleUpperLeftBasedPointsWithTolerance` in class `DocumentFormat`

    - #### getWidthInPoints

          public int getWidthInPoints()

    - #### toString

          public java.lang.String toString()

      Showing the details of the format. Used in error messages.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright (C) PDFUnit.com. See here for license.